package model

import "gorm.io/gorm"

type CompleteSpu struct {
	gorm.Model
	StyleNumber string `gorm:"uniqueIndex; size:50; not null"`
	Title       string `gorm:"size:100"`
	Description string `gorm:"type:text"`
	Gender      string `gorm:"size:20; not null"`
	Season      string `gorm:"size:20"`
	// 外键
	ColorSpus ColorSpus `gorm:"foreignKey:StyleNumber; references:StyleNumber; constraint:OnUpdate:CASCADE,OnDelete:CASCADE;"`
}
