package repository

import (
	"git.chillcy.com/golang/colorway/internal/pkg/database/model"
	"gorm.io/gorm"
)

type CompleteSpuInterface interface {
	BaseInterface
}

type CompleteSpu struct {
	*Base[model.CompleteSpu]
}

func NewCompleteSpu(db *gorm.DB) *CompleteSpu {
	return &CompleteSpu{
		Base: NewBase[model.CompleteSpu](db),
	}
}
